org.apache.log4j.rolling.helper

## Class ZipCompressAction

- java.lang.Object
- - org.apache.log4j.rolling.helper.ActionBase
  - - org.apache.log4j.rolling.helper.ZipCompressAction

- All Implemented Interfaces:
    Runnable, Action

      public final class ZipCompressAction
      extends ActionBase

  Compresses a file using Zip compression.
  Author:
    Curt Arnold

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipCompressAction(File source, File destination, boolean deleteSource)` Create new instance of GZCompressAction.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `execute()` Compress.
    `static boolean` | `execute(File source, File destination, boolean deleteSource)` Compress a file.
    `protected void` | `reportException(Exception ex)` Capture exception.

    - ### Methods inherited from class org.apache.log4j.rolling.helper.ActionBase

      `close, isComplete, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZipCompressAction

          public ZipCompressAction(File source,
                           File destination,
                           boolean deleteSource)

      Create new instance of GZCompressAction.
      Parameters:
        `source` - file to compress, may not be null.
        `destination` - compressed file, may not be null.
        `deleteSource` - if true, attempt to delete file on completion. Failure to delete does not cause an exception to be thrown or affect return value.

  - ### Method Detail

    - #### execute

          public boolean execute()
                          throws IOException

      Compress.
      Specified by:
        `execute` in interface `Action`
      Specified by:
        `execute` in class `ActionBase`
      Returns:
        true if successfully compressed.
      Throws:
        `IOException` - on IO exception.

    - #### execute

          public static boolean execute(File source,
                        File destination,
                        boolean deleteSource)
                                 throws IOException

      Compress a file.
      Parameters:
        `source` - file to compress, may not be null.
        `destination` - compressed file, may not be null.
        `deleteSource` - if true, attempt to delete file on completion. Failure to delete does not cause an exception to be thrown or affect return value.
      Returns:
        true if source file compressed.
      Throws:
        `IOException` - on IO exception.

    - #### reportException

          protected void reportException(Exception ex)

      Capture exception.
      Overrides:
        `reportException` in class `ActionBase`
      Parameters:
        `ex` - exception.

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.